[perl-devel-nytprof] r1000 committed - Fixed version number in nytprofmerge....

0 views
Skip to first unread message

codesite...@google.com

unread,
Dec 25, 2009, 2:37:26 PM12/25/09
to develnyt...@googlegroups.com
Revision: 1000
Author: tim.bunce
Date: Fri Dec 25 11:37:03 2009
Log: Fixed version number in nytprofmerge.
Added documentation to nytprofmerge RT#53098

http://code.google.com/p/perl-devel-nytprof/source/detail?r=1000

Modified:
/trunk/Changes
/trunk/bin/nytprofmerge

=======================================
--- /trunk/Changes Fri Dec 25 11:09:40 2009
+++ /trunk/Changes Fri Dec 25 11:37:03 2009
@@ -15,7 +15,8 @@

=head2 Changes in Devel::NYTProf 3.01

- Added documentation to nytprofcg.
+ Fixed version number in nytprofmerge.
+ Added documentation to nytprofcg and nytprofmerge.
Minor updates to nytprofcsv documentation.

=head2 Changes in Devel::NYTProf 3.00 (svn r998) 24th Dec 2009
=======================================
--- /trunk/bin/nytprofmerge Wed Dec 23 09:38:40 2009
+++ /trunk/bin/nytprofmerge Fri Dec 25 11:37:03 2009
@@ -17,7 +17,7 @@
require Devel::NYTProf::FileHandle;
use Devel::NYTProf::ReadStream qw(for_chunks);

-our $VERSION = '2.11';
+our $VERSION = '3.00';

if ($VERSION != $Devel::NYTProf::Core::VERSION) {
die "$0 version '$VERSION' doesn't match
version '$Devel::NYTProf::Core::VERSION' of
$INC{'Devel/NYTProf/Core.pm'}\n";
@@ -35,19 +35,6 @@
) or usage();


-sub usage {
- print <<END;
-usage: [perl] nytprofmerge [opts] nytprof-file [...]
- --out <file>, -o <file> Name of output file [default: $opt_out]
- --help, -h Print this message
- --verbose, -v Be more verbose
-
-This script of part of the Devel::NYTProf distribution.
-See http://search.cpan.org/dist/Devel-NYTProf/ for details and copyright.
-END
- exit 1;
-}
-
print "Writing $opt_out\n" if $opt_verbose;
my $out = Devel::NYTProf::FileHandle::open($opt_out, "wb")
or die "Error opening $opt_out: $!\n";
@@ -312,3 +299,42 @@

print "Done.\n" if $opt_verbose;
exit 0;
+
+sub usage {
+ print <<END;
+usage: [perl] nytprofmerge [opts] nytprof-file [...]
+ --out <file>, -o <file> Name of output file [default: $opt_out]
+ --help, -h Print this message
+ --verbose, -v Be more verbose
+
+This script of part of the Devel::NYTProf distribution.
+See http://search.cpan.org/dist/Devel-NYTProf/ for details and copyright.
+END
+ exit 1;
+}
+
+__END__
+
+=head1 NAME
+
+nytprofmerge - Reads multiple NYTProf profiles and outputs a merged one
+
+=head1 SYNOPSIS
+
+ $ nytprofmerge --out=nytprof-merged.out nytprof.out.*
+
+ $ nytprofmerge nytprof.out.*
+
+=head1 DESCRIPTION
+
+Reads multiple profile data files generated by Devel::NYTProf and writes
out
+a new profile data file containing data merged from the original files.
+
+C<nytprofmerge> is likely to produce garbage if the input profiles
+aren't all profiles of exactly the same software.
+
+C<nytprofmerge> is new and somewhat experimental. If it produces unexpected
+results please produce a I<small> test case that demonstrates the problem
and
+let us know at L<http://groups.google.com/group/develnytprof-dev> - thanks!
+
+=cut

Reply all
Reply to author
Forward
0 new messages